<?php

/**
 *  Prihlas hrace ke hre.
 *  @param      int         $id_play
 *  @param      int         $id_side
 *  @param      int         $id_user
 *  @return     bool        true pri uspesnem zapsani, jinak false    
 */
function play_sign($id_play, $id_side, $id_user) {
    // existuje hra, strana a uzivatel?
    $row = db_get_row('SELECT play.state FROM user JOIN side JOIN play 
                       WHERE user.id_user = '.$id_user.'
                       AND side.id_side = '.$id_side.'
                       AND play.id_play = '.$id_play);
    if (!$row) {
        add_error('Nepodařilo se přihlásit hráče ke hře. Hra nebo strana, za které chcete hrát, nebyly nalezeny. Zkuste se vrátit a akci zopakovat.');
        return false;
    }
    if ($row['state'] == 'create') {
        add_error('Hra ještě nebyla otevřena, nelze se k ní přihlásit.');
        return false;
    }
    if ($row['state'] == 'play') {
        add_error('Hra byla již rozehrána, nelze se k ní přihlásit.');
        return false;
    }
    if ($row['state'] == 'finish') {
        add_error('Hra byla již dohrána, nelze se k ní přihlásit.');
        return false;
    }
    // vse v poradku, proved upravy
    db_query('DELETE FROM play_user WHERE id_play = '.$id_play.' AND id_user = '.$id_user);
    db_query('INSERT INTO play_user(id_play, id_side, id_user) VALUES('.$id_play.', '.$id_side.', '.$id_user.')');
    return true;
}

/**
 *  Odhlas hrace od hry.
 *  @param      int         $id_play
 *  @param      int         $id_user
 *  @return     bool        true pri uspesnem odhlaseni, jinak false    
 */
function play_unsign($id_play, $id_user) {
    if (db_get_cell('SELECT state FROM play WHERE id_play = '.$id_play, 'state') != 'sign') {
        add_error('Hra byla již rozehrána, nelze se z ní tedy odhlásit.');
        return false;
    }
    db_query('DELETE FROM play_user WHERE id_play = '.$id_play.' AND id_user = '.$id_user);
    return true;
}

?>
