<?php
/**
 * Smarty plugin
 * @package Smarty
 * @subpackage plugins
 */


/**
 * Smarty {icon} function plugin
 *
 * Type:     function<br>
 * Name:     debug<br>
 * Date:     July 1, 2002<br>
 * Purpose:  echo out the icon image
 * @author   Roman Hocke <roman dot hocke at centrum dot cz>
 * @version  1.0
 * @param array
 * @param Smarty
 * @return string output
 */
function smarty_function_icon($params, &$smarty)
{
    if (!empty($params['title'])) {
        return '<span title="'.htmlspecialchars($params['title']).'"><img src="'.@PATH_ICONS.'/'.@$params['src'].'" alt="'.@$params['alt'].'" class="icon" /></span>';
    } else {
        return '<img src="'.@PATH_ICONS.'/'.@$params['src'].'" alt="'.@$params['alt'].'" class="icon" />';
    }
}

/* vim: set expandtab: */

?>
