<?php
/**
 * Smarty plugin
 * @package Smarty
 * @subpackage plugins
 */


/**
 * Smarty strip modifier plugin
 *
 * Type:     modifier<br>
 * Name:     stripslashes<br>
 * Purpose:  Stripslashes PHP function
 * Example:  {$var|stripslashes}
 * Date:     March 27th, 2007
 * @author   Roman Hocke <roman dot hocke at ohrt dot com>
 * @version  1.0
 * @param string
 * @return string
 */
function smarty_modifier_stripslashes($text)
{
    return stripslashes($text);
}

/* vim: set expandtab: */

?>
