<?php

// najdi dotycny scenar
if ($play = db_get_row('SELECT * FROM play_list WHERE id_play = '.query('id_play'))) {
    // zjisti nazvy stran
    $sides = db_get_array('SELECT side.title, play_side.*
                           FROM side 
                           INNER JOIN play_side USING (id_side)
                           WHERE play_side.id_play = '.query('id_play').' 
                           ORDER BY side.title ASC', 
                          'id_side');
    foreach ($sides as $id_side => $side) {
        $sides[$id_side]['players'] = array();
        $sides[$id_side]['url_sign'] = url('play-sign', query('id_play'), $id_side);
    }
    // zjisti udaje o zucastnenych hracich
    $players = db_get_array('SELECT user.id_user, user.nick, play_user.id_side
                             FROM user
                             INNER JOIN play_user USING (id_user)
                             WHERE play_user.id_play = '.query('id_play').'
                             ORDER BY user.nick ASC');
    $signed = false;
    foreach ($players as $player) {
        $sides[$player['id_side']]['players'][] = array(
            'id_user'       => $player['id_user'], 
            'nick'          => $player['nick']
        );
        if ($player['id_user'] == userId()) {
            $signed = true;
        }
    }
    // napln sablonu udaji
    $play['state_title'] = $state_title[$play['state']];
    $tpl->assign('play',        $play);
    $tpl->assign('sides',       $sides);
    $tpl->assign('signed',      $signed);
    $tpl->assign('signable',    $play['state'] == 'sign');
    $tpl->assign('url_back',    url('play-list-public'));
    $tpl->assign('url_unsign',  url('play-unsign', query('id_play')));
} else {
    define('THROW_404', true);
}

?>