<?php

// seznam her, do nichz je mozne se prihlasit
$plays = db_get_array('SELECT play_list.id_play, play_list.date_start, play_list.title, play_list.id_user, play_list.nick, play_list.time_title
                       FROM play_list
                       WHERE play_list.state = "sign"
                       ORDER BY play_list.date_start ASC',
                      'id_play');

// seznam hernich stran
$sides = db_get_array_simple('SELECT id_side, title FROM side ORDER BY title ASC', 'id_side', 'title');

// minima, maxima a pocet hracu jednotlivych stran
$players = db_get_array('SELECT play_side.* 
                         FROM play_side 
                         INNER JOIN play USING (id_play)
                         INNER JOIN side USING (id_side)
                         WHERE play.state = "sign"
                         ORDER BY side.title ASC');

// pridej ke hram dalsi informace
foreach ($plays as $id_play => $play) {
    $plays[$id_play]['url_detail'] = url('play-detail', $id_play);
}

// pridej informace o poctu hracu k jednotlivym hram
foreach ($players as $player) {
    $id_play = $player['id_play'];
    $plays[$id_play]['players'][$player['id_side']] = $player;
}

// naplneni sablony udaji
$tpl->assign('plays', $plays);
$tpl->assign('sides', $sides);

?>