<?php

/**
 *  Nahraj z databaze prava aktualniho uzivatele.
 *  @return     void 
 */
function userLoadRights() {
    if (userId() != 0) {
        $query = 'SELECT * FROM user_rights WHERE id_user = '.userId();
        $_SESSION['user_rights'] = db_get_array_simple($query, 'code', 'id_right');
    } else {
        $_SESSION['user_rights'] = array();
    }
}

/**
 *  Zbav aktualniho uzivatele veskerych prav pro tuto session.
 *  @return     void 
 */
function userClearRights() {
    $_SESSION['user_rights'] = array();
}

/**
 *  Zjisti, zda aktualni uzivatel ma dane pravo.
 *  @param      string      $code       kod prava
 *  @return     bool  
 */
function userHasRight($code) {
    return !empty($_SESSION['user_rights'][$code]);
}

?>
